ACPIHELP(1)

NAME
acpihelp - ACPI help utility

SYNOPSIS
acpihelp <option>... [<name-prefix>|<hex-value>]

DESCRIPTION
This manual page briefly documents the acpihelp command. The option list is taken from the acpihelp interactive help.

acpihelp provides descriptive text for AML and ASL keywords, methods, and opcodes.

Much more detailed documentation may be found at http://www.acpica.org/documentation/.

If neither a <name-prefix> or a <hex-value> is provided, acpihelp will do the logical equivalent of a "display all."

A default search (that is, a search with no options) and a <name-prefix> can mean two different things: (1) if <name-prefix> does not start with an underscore, find ASL operator names, or (2) if <name-prefix> does start with an underscore, find ASL predefined method names.

OPTIONS

  ACPI Names and Symbols

-k [<name-prefix>]
    Find/Display ASL non-operator keyword(s)

-m [<name-prefix>]
    Find/Display AML opcode name(s)

-p [<name-prefix>]
    Find/Display ASL predefined method name(s)

-s [<name-prefix>]
    Find/Display ASL operator name(s)

  ACPI Values

-e [<hex-value>]
    Decode ACPICA exception code

-i  Display known ACPI Device IDs (_HID)

-i [<hex-value>]
    Decode hex AML opcode

AUTHOR
acpihelp was written by Robert Moore <robert.moore@intel.com>.

This manual page was written by Al Stone <ahs3@redhat.com> for the Fedora project (but may be used by others).